Package org.apache.sysds.runtime.matrix.data

## Class FrameBlock.ColumnMetadata

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.FrameBlock.ColumnMetadata

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  FrameBlock

    public static class FrameBlock.ColumnMetadata
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ColumnMetadata​(long ndistinct)`
`ColumnMetadata​(long ndistinct, String mvval)`
`ColumnMetadata​(FrameBlock.ColumnMetadata that)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMvValue()`
`long` `getNumDistinct()`
`void` `setMvValue​(String mvVal)`
`void` `setNumDistinct​(long ndistinct)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnMetadata

    public ColumnMetadata​(long ndistinct)

#### ColumnMetadata

    public ColumnMetadata​(long ndistinct,
                          String mvval)

#### ColumnMetadata

    public ColumnMetadata​(FrameBlock.ColumnMetadata that)

### Method Detail

#### getNumDistinct

    public long getNumDistinct()

#### setNumDistinct

    public void setNumDistinct​(long ndistinct)

#### getMvValue

    public String getMvValue()

#### setMvValue

    public void setMvValue​(String mvVal)